Contents

Generate.exe will convert a script file (*.GEN) into a patch file (*.DAT), which can be loaded into various games which accept the format (Currently only Defendroid).

Select the script file to parse either by including it on the command line to Generate or by opening it from the File.Load menu item. The status of the process will be indicated textually in the window.

To test the patch either load it into the game via the game's patch control dialog, or select Test form the File menu. Providing the game executable path has been set correctly Generate will attempt to run the game and load the patch.

The script file format is similar to a Windows INI file, for example:

 [General]

Author=...

Description=...

BaseFile=..\defend.dat

Palette=defend.pal

; modified game specific parameters

[Parameters]

...

[Graphics]

IDENTIFIER=filename

...

 [Sounds]

IDENTIFIER=filename

...

; additional files

[Files]

...